<style type="text/css" scoped="">
.base_form_bg{

}
.img_pane{
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}
.close_out_ct{
  background-color: #000000b5;
  position: absolute;
  top: 12px;
  right: 12px;
  width: 25px;
  height: 25px;
  border-radius: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.close_out_ct .close_ct{
  right: auto;
  top: auto;
}
.close_out_ct .close_ct .close_line{
  background-color: #fff;
}
</style>
<template>
  <div>
    <base_dialog @close="close" :mask_style="mask_style" :dialog_style="style2" :show_close="false">
      <div class="img_pane" :style="img_style">

        <div class="close_out_ct">
          <div class="close_ct" @click.stop="close" >
            <div class="close_line"></div>
            <div class="close_line rotate_m45"></div>
          </div>
        </div>

      </div>
    </base_dialog>
  </div>
</template>
<script>
import base_dialog from '@/components/base_dialog.vue'
import concat_form from '@/components/concat_form.vue'
export default {
  data () {
    return {
      form_val: {},
      form_items: [],
      style2: {
        backgroundColor: 'rgba(0, 0, 0, 0)',
        boxShadow: 'none',
        width: '400px',
        height: '400px'
      },
      mask_style: {
        // width: '400px',
        // height: '400px'
      }
    }
  },
  props: {
    value: {
      type: String,
      default () {
        return 'http://192.168.1.139:22222/pics/1582791209945741428-c59c4b17c80d6ba08764ef0a9d5be181.jpg'
      }
    },
    list: {
      type: Array,
      default () {
        return [];
      }
    },
    title: {
      type: String,
      default () {
        return '';
      }
    },
    bg_class: {
      type: String,
      default () {
        return '';
      }
    },
    // mask_style: {
    //   type: Object,
    //   default () {
    //     return {};
    //   }
    // },
    // style: {
    //   type: Object,
    //   default () {
    //     return {};
    //   }
    // },
    show_close: {
      type: Boolean,
      default () {
        return true;
      }
    }
  },
  computed: {
    img_style () {
      return {
        'backgroundImage': `url(${this.value})`
      }
    }
  },
  watch: {
    'list' () {
      this.form_items.splice(0, this.form_items.length, ...this.list);
    }
  },
  mounted () {
    this.form_items.splice(0, this.form_items.length, ...this.list);
  },
  methods: {
    close () {
      this.$emit('close');
    },
    submit () {
      this.$emit('submit', this.form_val);
    }
  },
  components: {
    base_dialog,
    concat_form
  }
}
</script>